# Contributing

I appreciate any contributions, but please refer to the following sections for some guidelines.

Like any true python enthusiast, I can be a bit pedantic!

## Style

 * Use spaces, not tabs
 * Strings should use single-quotes
 * Line length = 100
 * PEP8 (with exceptions)

## Commits

Keep them short and sweet.

Every commit should only deal with a single feature/bug and *must* have a message associated with it.

The message is actually more like a title and should:

 * Be properly capitalized (i.e. start with an upper-cased letter)
 * Start with something like: "Fix", "Add" or "Change"
   * ***Not***: "Fixed", "Added" or "Changed"
 * Not end with a period

If it's tough to write a good commit message, it might be a symptom of being better suited as several smaller commits.
